summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/prep-librewolf-dpkg.conf2
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh2
2 files changed, 3 insertions, 1 deletions
diff --git a/scripts/prep-librewolf-dpkg.conf b/scripts/prep-librewolf-dpkg.conf
index 2ecb001..2710d29 100644
--- a/scripts/prep-librewolf-dpkg.conf
+++ b/scripts/prep-librewolf-dpkg.conf
@@ -7,6 +7,8 @@ DISTRO=${DISTRO:-'debian'}
distro_firefox_version=${distro_firefox_version:-'112.0.1-1'}
# current version of Firefox, as defined by name of the orig tarball.
firefox_version=${firefox_version:-'112.0.1'}
+# input git tag of source repo
+source_version=${source_version:-'112.0.1-2'}
settings_commit=${settings_commit:-'master'}
CI_PROJECT_DIR=${CI_PROJECT_DIR:-$(realpath $(dirname $0)/../)}
output_dir=${CI_PROJECT_DIR}/out
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 9c0815b..965d3ea 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -81,7 +81,7 @@ test -z "${SKIP_EXTRACT}" && {
# Download git sources
test -z "${SKIP_GIT}" && {
- git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout master || git checkout main ; git pull ; git checkout "${librewolf_version}" ; )
+ git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout master || git checkout main ; git pull ; git checkout "${source_version}" ; )
git clone "${librewolf_settings_url}" ${git_source_dir}/settings || : ; ( cd "${git_source_dir}/settings" ; git checkout master || git checkout main ; git pull ; )
}
bgstack15